#include <bits/stdc++.h>
using namespace std;

long long a[100009];

long long n,res=0,num;

/*bool func(){

    for(int i=0;i<n;i++){
        if(a[i]>0){
            return true;
        }
    }

    return false;

}*/

int main() {

    cin>>n;

    num=n-1;

    for(int i=0;i<n;i++){
        cin>>a[i];
    }

    sort(a,a+n);

    while(a[num]>0){
        res+=a[num];
        
        for(int i=0;i<num;i++){
            if(a[i]<a[num])a[i]--;
        }

        a[num]=0;
        num--;
    }

    cout<<res;

}
